[Python-modules-commits] [python-latexcodec] 18/20: Improve the autopkgtest suite

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Thu Jul 13 15:34:49 UTC 2017


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch master
in repository python-latexcodec.

commit cd9f4f9d317326e57db56214227e61b4790eb4f5
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Thu Jul 13 12:08:53 2017 +0100

    Improve the autopkgtest suite
    
    - Replace individual test scripts by Test-Commands
    - Run tests outside the source tree
    - Run tests for all supported Python versions
    
    Gbp-Dch: Full
---
 debian/tests/control            | 26 ++++++++++++++++++++++----
 debian/tests/python-latexcodec  |  3 ---
 debian/tests/python3-latexcodec |  3 ---
 3 files changed, 22 insertions(+), 10 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 6e68aa2..d9ca03e 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,5 +1,23 @@
-Tests: python-latexcodec
-Depends: python-all, python-six, python-nose
+Test-Command: set -e
+ ; cp -r test "$AUTOPKGTEST_TMP"
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -m nose -v test
+ ; done
+Depends: python-all,
+         python-latexcodec,
+         python-nose
+Restrictions: allow-stderr
 
-Tests: python3-latexcodec
-Depends: python3-all, python3-six, python3-nose
\ No newline at end of file
+Test-Command: set -e
+ ; cp -r test "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -m nose -v test
+ ; done
+Depends: python3-all,
+         python3-latexcodec,
+         python3-nose
+Restrictions: allow-stderr
diff --git a/debian/tests/python-latexcodec b/debian/tests/python-latexcodec
deleted file mode 100755
index 71ef134..0000000
--- a/debian/tests/python-latexcodec
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-set -e -u
-for py in $(pyversions -i); do echo "[*] testing $py:"; $py -m nose -v 2>&1; done
diff --git a/debian/tests/python3-latexcodec b/debian/tests/python3-latexcodec
deleted file mode 100755
index 2893591..0000000
--- a/debian/tests/python3-latexcodec
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-set -e -u
-for py in $(py3versions -i); do echo "[*] testing $py:"; $py -m nose -v 2>&1; done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-latexcodec.git



More information about the Python-modules-commits mailing list